# Trait core::borrow::BorrowMut
1.0.0[−][src]

    pub trait BorrowMut<Borrowed: ?Sized>: Borrow<Borrowed> {
        fn borrow_mut(&mut self) -> &mut Borrowed;
    }

Expand description

A trait for mutably borrowing data.

As a companion to `Borrow<T>` this trait allows a type to borrow as an underlying type by providing a mutable reference. See `Borrow<T>` for more information on borrowing as another type.

## Required methods

[src]

#### fn borrow_mut(&mut self) -> &mut Borrowed

Mutably borrows from an owned value.

# Examples

    use std::borrow::BorrowMut;

    fn check<T: BorrowMut<[i32]>>(mut v: T) {
        assert_eq!(&mut [1, 2, 3], v.borrow_mut());
    }

    let v = vec![1, 2, 3];

    check(v);

Run

## Implementors

1.4.0[src]

### impl<T, const N: usize> BorrowMut<[T]> for [T; N]

[src]

### impl<T: ?Sized> BorrowMut<T> for &mut T

[src]

### impl<T: ?Sized> BorrowMut<T> for T